Debian Bug report logs - #484047
fair: FTBFS on hppa if libavl is from etch

version graph

Package: fair; Maintainer for fair is Guus Sliepen <guus@debian.org>; Source for fair is src:fair.

Reported by: lamont@debian.org

Date: Mon, 2 Jun 2008 03:27:09 UTC

Severity: minor

Tags: moreinfo

Found in version fair/0.5.1-1

Fixed in version fair/0.5.1-2

Done: Guus Sliepen <guus@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Guus Sliepen <guus@debian.org>:
Bug#484047; Package fair. Full text and rfc822 format available.

Acknowledgement sent to lamont@debian.org:
New Bug report received and forwarded. Copy sent to Guus Sliepen <guus@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: lamont@debian.org
To: submit@bugs.debian.org
Subject: fair_0.5.1-1(hppa/unstable): FTBFS: missing build-depends?
Date: Sun, 1 Jun 2008 21:26:35 -0600
Package: fair
Version: 0.5.1-1
Severity: serious

There was an error while trying to autobuild your package:

> Automatic build of fair_0.5.1-1 on peri by sbuild/hppa 98
> Build started at 20080601-0608

[...]

> ** Using build dependencies supplied by package:
> Build-Depends: autotools-dev, debhelper (>= 5), libavl-dev

[...]

> checking whether the C compiler works... yes
> checking whether we are cross compiling... no
> checking for suffix of executables... 
> checking for suffix of object files... o
> checking whether we are using the GNU C compiler... yes
> checking whether hppa-linux-gnu-gcc accepts -g... yes
> checking for hppa-linux-gnu-gcc option to accept ISO C89... none needed
> checking for style of include used by make... GNU
> checking dependency style of hppa-linux-gnu-gcc... gcc3
> checking for a BSD-compatible install... /usr/bin/install -c
> checking for avl_init_node in -lavl... no
> configure: error: No libavl found.  Please install it before proceeding.
> See `config.log' for more details.
> make: *** [config.status] Error 1
> dpkg-buildpackage: failure: debian/rules build gave error exit status 2

A full build log can be found at:
http://buildd.debian.org/build.php?arch=hppa&pkg=fair&ver=0.5.1-1





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#484047; Package fair. Full text and rfc822 format available.

Acknowledgement sent to Guus Sliepen <guus@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 484047@bugs.debian.org (full text, mbox):

From: Guus Sliepen <guus@debian.org>
To: lamont@debian.org, 484047@bugs.debian.org
Subject: Re: Bug#484047: fair_0.5.1-1(hppa/unstable): FTBFS: missing build-depends?
Date: Mon, 2 Jun 2008 11:29:31 +0200
[Message part 1 (text/plain, inline)]
On Sun, Jun 01, 2008 at 09:26:35PM -0600, lamont@debian.org wrote:

> There was an error while trying to autobuild your package:
> 
> > ** Using build dependencies supplied by package:
> > Build-Depends: autotools-dev, debhelper (>= 5), libavl-dev
> [...]
> > checking for avl_init_node in -lavl... no
> > configure: error: No libavl found.  Please install it before proceeding.
> > See `config.log' for more details.
> > make: *** [config.status] Error 1
> > dpkg-buildpackage: failure: debian/rules build gave error exit status 2

The build-dependency libavl-dev is there. Fair also build without
problems on all other architectures. Would it be possible to get the
config.log from this build daemon?

-- 
Met vriendelijke groet / with kind regards,
      Guus Sliepen <guus@debian.org>
[signature.asc (application/pgp-signature, inline)]

Tags added: moreinfo Request was from Thijs Kinkhorst <thijs@debian.org> to control@bugs.debian.org. (Fri, 20 Jun 2008 11:18:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Guus Sliepen <guus@debian.org>:
Bug#484047; Package fair. Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Guus Sliepen <guus@debian.org>. Full text and rfc822 format available.

Message #17 received at 484047@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 484047@bugs.debian.org
Subject: fair_0.5.1-1 has in fact built on hppa
Date: Sun, 29 Jun 2008 03:46:31 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

severity 484047 minor
retitle 484047 fair: FTBFS on hppa if libavl is from etch
thanks

It turns out that fair builds fine on hppa with the lenny/sid version 0.3.5-3
of libavl (which is built with -fPIC), but fails to detect libavl if it is
0.3.5-2 (which was wrongly built without -fPIC). An hppa buildd
successfully built fair against the newer libavl today.

Strictly speaking, fair ought to have Build-Depends on libavl-dev (>= 0.3.5-3)
for this, but it's certainly not release-critical.

    Simon
    at the Cambridge BSP
-----BEGIN PGP SIGNATURE-----

iD8DBQFIZvd+WSc8zVUw7HYRAiUdAKDaTljyPdz5K625dafFHBOusDMJawCgjkWt
MLmJWYLrsRERqB3QDvG2ErI=
=Qk/C
-----END PGP SIGNATURE-----




Severity set to `minor' from `serious' Request was from Simon McVittie <smcv@debian.org> to control@bugs.debian.org. (Sun, 29 Jun 2008 14:48:16 GMT) Full text and rfc822 format available.

Changed Bug title to `fair: FTBFS on hppa if libavl is from etch' from `fair_0.5.1-1(hppa/unstable): FTBFS: missing build-depends?'. Request was from Simon McVittie <smcv@debian.org> to control@bugs.debian.org. (Sun, 29 Jun 2008 14:48:17 GMT) Full text and rfc822 format available.

Reply sent to Guus Sliepen <guus@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to lamont@debian.org:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #26 received at 484047-close@bugs.debian.org (full text, mbox):

From: Guus Sliepen <guus@debian.org>
To: 484047-close@bugs.debian.org
Subject: Bug#484047: fixed in fair 0.5.1-2
Date: Tue, 29 Jul 2008 12:02:02 +0000
Source: fair
Source-Version: 0.5.1-2

We believe that the bug you reported is fixed in the latest version of
fair, which is due to be installed in the Debian FTP archive:

fair_0.5.1-2.diff.gz
  to pool/main/f/fair/fair_0.5.1-2.diff.gz
fair_0.5.1-2.dsc
  to pool/main/f/fair/fair_0.5.1-2.dsc
fair_0.5.1-2_amd64.deb
  to pool/main/f/fair/fair_0.5.1-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 484047@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guus Sliepen <guus@debian.org> (supplier of updated fair package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 29 Jul 2008 13:52:25 +0200
Source: fair
Binary: fair
Architecture: source amd64
Version: 0.5.1-2
Distribution: unstable
Urgency: low
Maintainer: Guus Sliepen <guus@debian.org>
Changed-By: Guus Sliepen <guus@debian.org>
Description: 
 fair       - high availability load balancer for TCP connections
Closes: 484047
Changes: 
 fair (0.5.1-2) unstable; urgency=low
 .
   * Build-depend on libavl-dev >= 0.3.5-3 to prevent possible FTBFS.
     Closes: #484047
Checksums-Sha1: 
 dc38fb2fee477e10423f8f5529b917e75050ee06 1004 fair_0.5.1-2.dsc
 784a1ecd22d59eaf4ef9fe79ff392442ee8322cb 14941 fair_0.5.1-2.diff.gz
 c5e7a9c11af8d73bbf7cae1111cc695d30cf2aff 33108 fair_0.5.1-2_amd64.deb
Checksums-Sha256: 
 d8e8332c39efa7747683b0ee535cd213c08e9a445180faef41db346d0637cc8d 1004 fair_0.5.1-2.dsc
 636b8d7d58adee235281f46652c85c30074b342c47c18b5cf3fbeda9bb30cb90 14941 fair_0.5.1-2.diff.gz
 1bf8cb159847ec0702c43ebdd640b04efa9968efcdb2cbaaae10990520fa21e6 33108 fair_0.5.1-2_amd64.deb
Files: 
 89120f2516c34e5bb8b13e62c2559b10 1004 net extra fair_0.5.1-2.dsc
 4a09250ac48024cdfc9fcbe05b42a930 14941 net extra fair_0.5.1-2.diff.gz
 d745f24bc9a775c093f11f1cd597a6ca 33108 net extra fair_0.5.1-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkiPBM8ACgkQAxLow12M2nsNRQCghEVRfVQLEyqgbJnlS4luoDAB
wuoAn3cs5uQQZIcgQ7BKfn/76x1Qg43j
=KtlP
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 28 Oct 2008 07:27:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 05:48:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.